# rust-crypto-mac.spec
# Generated by rust2rpm 20
%bcond_with check
%global debug_package %{nil}

%global crate crypto-mac

Name:           compat-rust-%{crate}-0.10
Version:        0.10.0
Release:        1%{?dist}.1
Summary:        Trait for Message Authentication Code (MAC) algorithms

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/crypto-mac
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(generic-array/default) >= 0.14.0 with crate(generic-array/default) < 0.15.0~)
BuildRequires:  (crate(subtle) >= 2.0.0 with crate(subtle) < 3.0.0~)

%global _description %{expand:
Trait for Message Authentication Code (MAC) algorithms.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+blobby-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+blobby-devel %{_description}

This package contains library source intended for building other packages which
use the "blobby" feature of the "%{crate}" crate.

%files       -n %{name}+blobby-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+cipher-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cipher-devel %{_description}

This package contains library source intended for building other packages which
use the "cipher" feature of the "%{crate}" crate.

%files       -n %{name}+cipher-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dev-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dev-devel %{_description}

This package contains library source intended for building other packages which
use the "dev" feature of the "%{crate}" crate.

%files       -n %{name}+dev-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Feb  7 2022 Oleg Girko <ol@infoserver.lv> - 0.10.0-1
- Initial package
